Class | Bio::RestrictionEnzyme::Range::SequenceRange::Fragments
In: | lib/bio/util/restriction_enzyme/range/sequence_range/fragments.rb
Parent: | Array

### Methods

for_display new

### Constants

DisplayFragment | = | Struct.new(:primary, :complement)

### Attributes

complement | [RW] |
primary | [RW] |

### Public Class methods

new(primary, complement)

[Source]

        # File lib/bio/util/restriction_enzyme/range/sequence_range/fragments.rb, line 22
    22:   def initialize(primary, complement)
    23:     @primary = primary
    24:     @complement = complement
    25:   end

### Public Instance methods

for_display(p_str=nil, c_str=nil)

[Source]

        # File lib/bio/util/restriction_enzyme/range/sequence_range/fragments.rb, line 29
    29:   def for_display(p_str=nil, c_str=nil)
    30:     p_str ||= @primary
    31:     c_str ||= @complement
    32:     pretty_fragments = []
    33:     self.each { |fragment| pretty_fragments << fragment.for_display(p_str, c_str) }
    34:     pretty_fragments
    35:   end

[Validate]